<?php

namespace IZON\Thumber\Image;

/**
 * Represent sizes of image.
 *
 * @author Lukáš Linhart <linhart@izon.cz>
 */
interface IImageSize {
    /**
     * return width.
     *
     * @return int
     */
    public function getWidth() : int;

    /**
     * return height.
     *
     * @return int
     */
    public function getHeight() : int;

    /**
     * return aspecr ratio of image height/width.
     *
     * @return float
     */
    public function getAspectRatio() : float;
}
